Subject: [RFC] ARM: Make CPU_DCACHE_DISABLE depend on !SMP

From: [email-masked] (Rabin Vincent)
Date: Fri, 9 Jan 2015 18:57:38 +0100

On Wed, Jan 07, 2015 at 06:11:28PM -0800, Florian Fainelli wrote:
> Enabling CPU_DCACHE_DISABLE on a SMP capable system will prevent the
> kernel from booting because of the following ldrex instruction in
> arch_spin_lock:

BTW, it's not just SMP spin_lock which uses ldrex/strex.  The atomic
ops, set_bit() and friends, and cmpxchg() and related functions all use
ldrex/strex on ARMv6+ processors, even if you disable SMP.